<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<h:dataTable value="#{systemDetailsController.system.activities}"
		var="act" border="1" cellpadding="2" cellspacing="0">
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.activity_code}" />
			</f:facet>
			<h:outputLabel value="#{act.code}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.description}" />
			</f:facet>
			<h:outputLabel value="#{act.description}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.estimated_duration}" />
			</f:facet>
			<h:outputLabel value="#{act.estimatedDuration}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.status}" />
			</f:facet>
			<h:outputLabel value="#{strings[act.status]}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.analyst}" />
			</f:facet>
			<h:outputLabel value="#{act.analyst.code} - #{act.analyst.name}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.progress}" />
			</f:facet>
			<h:outputLabel value="#{act.progress}">
				<f:convertNumber type="percent" />
			</h:outputLabel>
		</h:column>
		<h:column>
			<h:form>
				<h:link value="#{strings.details}"
					outcome="activity_details?faces-redirect=true">
					<f:param name="id" value="#{act.code}" />
				</h:link>
			</h:form>
		</h:column>
	</h:dataTable>
</ui:composition>